#!/bin/bash -e
##########################################################################
# where am I ?
SCRIPTPATH="$(cd "$(dirname "$0")" ; pwd -P)"
DYNAMICPATH="$(cd ${SCRIPTPATH}/../dynamic; pwd -P)"

##########################################################################

if [ $# -lt 2 ]
then
    echo "Usage: $0 name ipv6 <ipv4>"
    exit 1
fi

name="$1"
ipv6="$2"
ipv4="$3"

# the IPv4 arg is optional
if [ -z "$ipv4" ]
then
    echo "Updating DNS: $name -> $ipv6"
    line=$(printf "    [ '%s', '%s' ]," "$name" "$ipv6" )
else
    echo "Updating DNS: $name -> $ipv6 / $ipv4"
    line=$(printf "    [ '%s', '%s', '%s' ]," "$name" "$ipv6" "$ipv4")    
fi

pushd "$DYNAMICPATH" > /dev/null

# remove any existing lines
sed -i -e "/^    \[ '$name',/d" virtual.js

# add a new line for this host
sed -i -e "s!^    // insert here!    // insert here\n${line}!" virtual.js

# commit
git commit -a -m "Update $name"

popd
##########################################################################
# end of file
